package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 危险废物清单对象 t_waste_danger
 *
 * @author ruoyi
 * @date 2020-12-08
 */
public class TWasteDanger extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 危废名称 */
    @Excel(name = "危废名称")
    private String name;

    /** 危废类别 */
    @Excel(name = "危废类别")
    private String category;

    /** 危废代码 */
    @Excel(name = "危废代码")
    private String code;

    /** 危险废物描述 */
    @Excel(name = "危险废物描述")
    private String description;

    /** 处置利用方式 */
    @Excel(name = "处置利用方式")
    private String disposalMode;

    /** 生产环节 */
    @Excel(name = "生产环节")
    private String productLink;

    /** 贮存场所 */
    @Excel(name = "贮存场所")
    private String storagePlace;

    /** 处置方式及去向 */
    @Excel(name = "处置方式及去向")
    private String disposalDestination;

    /** 负责人 */
    @Excel(name = "责任人")
    private String owner;

    /** 危险特性 */
    @Excel(name = "危险特性")
    private String hazardsSpec;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setCategory(String category)
    {
        this.category = category;
    }

    public String getCategory()
    {
        return category;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }
    public void setDisposalMode(String disposalMode)
    {
        this.disposalMode = disposalMode;
    }

    public String getDisposalMode()
    {
        return disposalMode;
    }
    public void setProductLink(String productLink)
    {
        this.productLink = productLink;
    }

    public String getProductLink()
    {
        return productLink;
    }
    public void setStoragePlace(String storagePlace)
    {
        this.storagePlace = storagePlace;
    }

    public String getStoragePlace()
    {
        return storagePlace;
    }
    public void setDisposalDestination(String disposalDestination)
    {
        this.disposalDestination = disposalDestination;
    }

    public String getDisposalDestination()
    {
        return disposalDestination;
    }
    public void setHazardsSpec(String hazardsSpec)
    {
        this.hazardsSpec = hazardsSpec;
    }

    public String getHazardsSpec()
    {
        return hazardsSpec;
    }
    public void setOwner(String owner)
    {
        this.owner = owner;
    }

    public String getOwner()
    {
        return owner;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("name", getName())
            .append("category", getCategory())
            .append("code", getCode())
            .append("description", getDescription())
            .append("disposalMode", getDisposalMode())
            .append("productLink", getProductLink())
            .append("storagePlace", getStoragePlace())
            .append("disposalDestination", getDisposalDestination())
            .append("hazardsSpec", getHazardsSpec())
            .append("owner", getOwner())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
